namespace CSR.Application.Interfaces;

using CSR.Domain.Entities;

public interface IUserRepository
{
  Task<User?> GetByIdAsync(int id);
  Task<User?> GetByUsernameAsync(string username);
  // Task<User?> GetByEmailAsync(string email);
  Task<IEnumerable<User>?> GetAllByRoleIdAsync(int roleId);
  Task<User?> AddAsync(User user);
  Task UpdateAsync(User user);
  Task DeleteAsync(int id);
}
